import 'package:flutter/material.dart';
import 'package:kameleoon_client_flutter_example/constants.dart';
import 'package:kameleoon_client_flutter_example/main.dart';

class KTextInput extends StatelessWidget {
  final bool? suffixIcon;
  final IconData? icon;
  final String? hint;

  const KTextInput({
    Key? key,
    this.suffixIcon,
    this.icon,
    this.hint
  }) : super(key: key);
  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;
    return Container(
        width: screenSize.width - 100,
        height: 50,
        padding: EdgeInsets.only(left: 10, right: 5),
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(25),
          border: Border.all(
            color: Color.fromARGB(71, 71, 71, 255),
            width: 1
          )
        ),
        child: TextField(
          decoration: InputDecoration(
            hintText: this.hint,
            hintStyle: TextStyle(
              fontSize: 14
            ),
            border: InputBorder.none,
            icon: Icon(
              this.icon,
              color: mainColor
            ),
            suffixIcon: this.suffixIcon != null ? Icon(
              Icons.visibility,
              color: mainColor
            ) : null
          ),
        )
    );
  }
}