import 'package:flutter/material.dart';
import 'package:kameleoon_client_flutter_example/Components/Button.dart';
import 'package:kameleoon_client_flutter_example/Pages/Login/login_page.dart';
import 'package:kameleoon_client_flutter_example/Pages/Signup/signup_page.dart';
import 'package:kameleoon_client_flutter_example/constants.dart';

class Body extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;
    return Container(
      width: screenSize.width,
      height: screenSize.height,
      child: Column(
        children: <Widget>[
        Padding(
            padding: EdgeInsets.only(bottom: 60, top: 70),
            child: Image.asset(
              "assets/images/logo.png",
            )
        ),
        Padding(
            padding: EdgeInsets.only(bottom: 80, top: 0),
            child: Image.asset(
              "assets/images/fuze.png",
            )
        ),
        Text(
            "Welcome!",
            style: TextStyle(
              fontWeight: FontWeight.bold,
              fontSize: 24,
            ),
        ),
        Padding(
          padding: EdgeInsets.only(top: 10, bottom: 50),
          child: Text(
              "Sign in to access your account",
              style: TextStyle(
                  fontWeight: FontWeight.w400,
                  fontSize: 17
              )
          )
        ),
        Padding(
            padding: EdgeInsets.only(bottom: 10),
            child: Button(
                text: "LOG IN",
                bgColor: mainColor,
                borderColor: mainColor,
                borderWidth: 0,
                borderStyle: BorderStyle.none,
                textColor: Colors.white,
                onPress: () {
                  Navigator.push(context, MaterialPageRoute(builder: (context) {
                    return LoginPage();
                  }));
                }
            )
        ),
        Padding(
            padding: EdgeInsets.only(bottom: 10),
            child: Button(
                text: "SIGN UP",
                bgColor: Colors.white,
                borderColor: mainColor,
                borderWidth: 2,
                borderStyle: BorderStyle.solid,
                textColor: mainColor,
                onPress: () {
                  Navigator.push(context, MaterialPageRoute(builder: (context) {
                    return SignupPage();
                  }));
                }
            )
        ),
        ],
      )
    );
  }

}